Starmade | ship core falls into planet
Confirmed task for development, HighPublic

Description

removing the last blocks from a ship core while on a planet causes the core to fall into the planet and start to collide there

Details

Task Type
Bug
Testing Results
Affected Gamemode(s)
Single and Multi
Reproducible
Yes
Last tested (version)
0.199.489
Category
Physics
Hardware/Software/System
OS-Specific
No
Hardware-Specific
No
Video Card Vendor
uncertain
Steps to reproduce
  1. spawn a core on planet surface
  2. place a few blocks on it (tried 3 thrusters as sample)
  3. remove them again in fast succession
  4. the core falls towards the planet core

tried it astronaut and buildmode
waiting a moment before removing the last block did sometime prevented the core from sinking into the surface


Made a sample video on the test server to show the effect.
https://youtu.be/XdW5S0RFCi8

done with 0.199.489

Serverconfig (server.cfg)
<replace this line with the file content>
Clientconfig (settings.cfg)
<replace this line with the file content>
Restricted Application added a subscriber: AndyP. · View Herald TranscriptDec 22 2016, 7:40 PM
AndyP changed the task status from "In Queue (Game)" to "In Queue".Mar 10 2017, 5:04 PM
Restricted Application added a project: Engine. · View Herald TranscriptMar 10 2017, 5:04 PM
schema changed the task status from "In Queue" to "Resolved".Mar 12 2017, 7:13 PM
schema added a subscriber: schema.

Fixed in last release.

Due to reducing the blocks on the structure, the bounding box has to be recreated. This previously happened in-place and could cause the structure to have an invalid bounding box which would cause it to fall through the planet.
With the optimization, the AABB is now recreated threaded and the result is applied as is without resetting the previous one.

couldn't reproduce the issue in my test run on 0.199.482

Restricted Application edited projects, added Quality Assurance; removed Game Development. · View Herald TranscriptMar 12 2017, 7:13 PM
AndyP changed Category from Engine to Physics.Mar 15 2017, 7:58 PM
Restricted Application edited projects, added Physics; removed Engine. · View Herald TranscriptMar 15 2017, 7:58 PM
SmilingDemon changed the task status from "Resolved" to "In Queue".Mar 18 2017, 6:43 AM

-QA Testing-

not fixed
same behaviour as described in steps to reproduce
tried on SP and MP (migth require to relog to see the actual core position after it bugs out)

Restricted Application edited projects, added Game Development; removed Quality Assurance. · View Herald TranscriptMar 18 2017, 6:43 AM
SmilingDemon changed Last tested (version) from 0.199.353 (DEV) to 0.199.485.Mar 18 2017, 6:43 AM
AndyP moved this task from Backlog / Unclassed to Beta on the Physics board.Mar 18 2017, 7:23 AM
AndyP moved this task from Beta to Alpha on the Physics board.
AndyP edited projects, added Game Development (Alpha); removed Game Development.

I can't reproduce :(

Made a sample video on the test server to show the effect.
https://youtu.be/XdW5S0RFCi8

done with 0.199.489

SmilingDemon changed Last tested (version) from 0.199.485 to 0.199.489.
lancake lowered the priority of this task from "Urgent" to "High".Apr 23 2017, 6:19 PM